org.gnome.gdk

## Class VisibilityState

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gdk.VisibilityState

-     public final class VisibilityState
      extends org.freedesktop.bindings.Constant

  Constants indicating the current visibility of a Widget. See the `Widget.VisibilityNotifyEvent` signal for further details; these constants come from the `getState()` method on an EventVisibility.
  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static VisibilityState` | `FULLY_OBSCURED` The Widget is fully blocked from view.
    `static VisibilityState` | `PARTIAL` The Widget is partially obscured by another Window (be it this application's or anther's).
    `static VisibilityState` | `UNOBSCURED` The Widget is no longer obscured.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FULLY_OBSCURED

          public static final VisibilityState FULLY_OBSCURED

      The Widget is fully blocked from view.

    - #### PARTIAL

          public static final VisibilityState PARTIAL

      The Widget is partially obscured by another Window (be it this application's or anther's).

    - #### UNOBSCURED

          public static final VisibilityState UNOBSCURED

      The Widget is no longer obscured. Will also be fired on initial presentation of a Window.